Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.xml.stream.buffer
Class AttributesHolder

    java.lang.Object
      com.sun.xml.stream.buffer.AttributesHolder

All Implemented Interfaces:
  org.xml.sax.Attributes

    public final class AttributesHolder

extends java.lang.Object
implements org.xml.sax.Attributes

Class for holding attributes. Since it implements `Attributes`, this class follows the SAX convention of using "" instead of null.

Field Summary
`protected int` | `_attributeCount`
`protected java.lang.String[]` | `_strings`
`protected static int` | `DEFAULT_CAPACITY`
`protected static int` | `ITEM_SIZE`
`protected static int` | `LOCAL_NAME`
`protected static int` | `PREFIX`
`protected static int` | `QNAME`
`protected static int` | `TYPE`
`protected static int` | `URI`
`protected static int` | `VALUE`

Constructor Summary
`AttributesHolder()`

Method Summary
`void` | `addAttributeWithPrefix(java.lang.String prefix, java.lang.String uri, java.lang.String localName, java.lang.String type, java.lang.String value)` Add an attribute using a prefix.
`void` | `addAttributeWithQName(java.lang.String uri, java.lang.String localName, java.lang.String qName, java.lang.String type, java.lang.String value)` Add an attribute using a qualified name that contains the prefix and local name.
`void` | `clear()`
`int` | `getIndex(java.lang.String qName)`
`int` | `getIndex(java.lang.String uri, java.lang.String localName)`
`int` | `getLength()`
`java.lang.String` | `getLocalName(int index)`
`java.lang.String` | `getPrefix(int index)`
`java.lang.String` | `getQName(int index)`
`java.lang.String` | `getType(int index)`
`java.lang.String` | `getType(java.lang.String qName)`
`java.lang.String` | `getType(java.lang.String uri, java.lang.String localName)`
`java.lang.String` | `getURI(int index)`
`java.lang.String` | `getValue(int index)`
`java.lang.String` | `getValue(java.lang.String qName)`
`java.lang.String` | `getValue(java.lang.String uri, java.lang.String localName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CAPACITY

    protected static final int DEFAULT_CAPACITY

See Also:
  Constant Field Values

### ITEM_SIZE

    protected static final int ITEM_SIZE

See Also:
  Constant Field Values

### PREFIX

    protected static final int PREFIX

See Also:
  Constant Field Values

### URI

    protected static final int URI

See Also:
  Constant Field Values

### LOCAL_NAME

    protected static final int LOCAL_NAME

See Also:
  Constant Field Values

### QNAME

    protected static final int QNAME

See Also:
  Constant Field Values

### TYPE

    protected static final int TYPE

See Also:
  Constant Field Values

### VALUE

    protected static final int VALUE

See Also:
  Constant Field Values

### _attributeCount

    protected int _attributeCount

### _strings

    protected java.lang.String[] _strings

Constructor Detail

### AttributesHolder

    public AttributesHolder()

Method Detail

### getLength

    public final int getLength()

  Specified by:
    `getLength` in interface `org.xml.sax.Attributes`

### getPrefix

    public final java.lang.String getPrefix(int index)

### getLocalName

    public final java.lang.String getLocalName(int index)

  Specified by:
    `getLocalName` in interface `org.xml.sax.Attributes`

### getQName

    public final java.lang.String getQName(int index)

  Specified by:
    `getQName` in interface `org.xml.sax.Attributes`

### getType

    public final java.lang.String getType(int index)

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getURI

    public final java.lang.String getURI(int index)

  Specified by:
    `getURI` in interface `org.xml.sax.Attributes`

### getValue

    public final java.lang.String getValue(int index)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### getIndex

    public final int getIndex(java.lang.String qName)

  Specified by:
    `getIndex` in interface `org.xml.sax.Attributes`

### getType

    public final java.lang.String getType(java.lang.String qName)

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getValue

    public final java.lang.String getValue(java.lang.String qName)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### getIndex

    public final int getIndex(java.lang.String uri,
                              java.lang.String localName)

  Specified by:
    `getIndex` in interface `org.xml.sax.Attributes`

### getType

    public final java.lang.String getType(java.lang.String uri,
                                          java.lang.String localName)

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getValue

    public final java.lang.String getValue(java.lang.String uri,
                                           java.lang.String localName)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### clear

    public final void clear()

### addAttributeWithQName

    public final void addAttributeWithQName(java.lang.String uri,
                                            java.lang.String localName,
                                            java.lang.String qName,
                                            java.lang.String type,
                                            java.lang.String value)

  Add an attribute using a qualified name that contains the prefix and local name.

  Parameters:
    `uri` - This can be empty but not null, just like everywhere else in SAX.

### addAttributeWithPrefix

    public final void addAttributeWithPrefix(java.lang.String prefix,
                                             java.lang.String uri,
                                             java.lang.String localName,
                                             java.lang.String type,
                                             java.lang.String value)

  Add an attribute using a prefix.

  Parameters:
    `prefix` - This can be empty but not null, just like everywhere else in SAX.
    `uri` - This can be empty but not null, just like everywhere else in SAX.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD